Secure Trading Gateway for WooCommerce

Description

The official Secure Trading payment gateway for WooCommerce. Easily take payments using Secure Trading.

Important note regarding v2 – This version is a complete rebuild of the plugin which that adds 3D Secure functionality. Please check your the gateway settings to ensure the update works correctly for you.

View Documentation PDF

Screenshots

Installation

Using The WordPress Dashboard

  1. Navigate to the Add New Plugin Dashboard
  2. Select woocommerce-securetrading.zip from your computer
  3. Upload
  4. Activate the plugin on the WordPress Plugin Dashboard

Using FTP

  1. Extract secure-trading-gateway-for-woocommerce.zip to your computer
  2. Upload the unzipped directory to your wp-content/plugins directory
  3. Activate the plugin on the WordPress Plugins Dashboard

Contributors & Developers

“Secure Trading Gateway for WooCommerce” is open source software. The following people have contributed to this plugin.

Changelog

2.3

  • Added option for 4 year expiry date
  • Fixed a conflict between 3D Secure and user creation
  • General 3D secure improvements

2.2.1

  • Bug fixes.

2.2.0

  • Added support for less commonly used card numbers and IIN ranges
  • Improved validation error messages to make them clearer
  • Improved support for AMEX cards with 15 digit length

2.1.0

  • Added validation for custom countries created by users that contain more than two characters country code length.
  • Implemented functionality to use MM / YY instead of MM / YYYY for card expiry dates
  • Improved Woocommerce Sequential Order Numbers Pro v1.12.0 extension.
  • Fixed various JS validation errors

2.0.8

  • Fixed an error with processing payment when Stripe and PayPal are also enabled gateways.

2.0.7

  • Fixed error with incorrect expiry validation

2.0.6

  • Minor changes missed in 2.0.5

2.0.5

  • Support for custom country codes
  • Expire date format changed from MM / YYYY to MM / YY
  • Improved compatibility with WooCommerce Sequential Order Numbers Pro
  • Fixed an error where attempting checkout without entering a CVC number or expiry caused the page to lock up

2.0.4

  • Minor update to improve compatibility with older versions of PHP

2.0.3

  • Fixed a bug with custom version tracking

2.0.2

  • Minor update to version tracking

2.0.1

  • Fixed a unique error with selecting new payment methods
  • Added version tracking

2.0.0

  • The plugin has been completely rebuilt to fully utilise the Secure Trading PHP SDK.
  • 3D Secure authentication added.

1.1.2

  • Fixed an issue with iFrame option not processing payments correctly.

1.1.1

  • Improved compatibility with Sequential Order Numbers and Sequential Order Numbers Pro not processing orders correctly when custom prefixes were used.
  • Added new version prompt banner

1.1.0

  • Updated variables to fix issue with iFrame payments not updating order status

1.0.5

  • Improved compatibility with Sequential Order Numbers and Sequential Order Numbers Pro not matching order numbers correctly.
  • Minor bug fixes

1.0.4

  • Minor compatibility and cosmetic updates.

1.0.3

  • Minor bug fixes

1.0.2

  • Added compatibility with Sequential Order Numbers and Sequential Order Numbers Pro
  • Minor bug fixes
  • Minor visual improvements

1.0.1

  • Fixed a bug that caused stock to be reduced twice

1.0

  • Initial release